Bug 812658 - SELinux is preventing keystone from write access on the sock_file /var/lib/mysql/mysql.sock.
SELinux is preventing keystone from write access on the sock_file /var/lib/my...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-15 15:17 EDT by Cole Robinson
Modified: 2012-04-25 00:59 EDT (History)
1 user (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-118.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-25 00:59:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cole Robinson 2012-04-15 15:17:25 EDT
type=AVC msg=audit(1334517192.40:198): avc:  denied  { write } for  pid=854 comm="keystone-all" name="mysql.sock" dev="dm-0" ino=1707200 scontext=system_u:system_r:keystone_t:s0 tcontext=system_u:object_r:mysqld_var_run_t:s0 tclass=sock_file

Our openstack-keystone now defaults to using mysql, but doesn't look like selinux is happy with that. openstack-nova similarly uses mysql but doesn't seem to have any issues.
Comment 1 Miroslav Grepl 2012-04-16 05:39:18 EDT
Fixed in selinux-policy-3.10.0-115.fc17
Comment 2 Fedora Update System 2012-04-23 02:43:45 EDT
selinux-policy-3.10.0-117.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-117.fc17
Comment 3 Fedora Update System 2012-04-23 20:56:32 EDT
selinux-policy-3.10.0-118.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-118.fc17
Comment 4 Fedora Update System 2012-04-23 23:15:33 EDT
Package selinux-policy-3.10.0-118.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-118.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6452/selinux-policy-3.10.0-118.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-04-25 00:59:45 EDT
selinux-policy-3.10.0-118.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.